---
title: Lists all audit-log export requests against the tenant Id provided.
slug: api-documentation/lists-all-audit-log-export-requests-against-the-tenant-id-provided
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "uMMnVelAtmRcypPgoKI7m",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/batch/audit-log/export",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/audit-log/export"
      }
    ],
    "name": "Lists all audit-log export requests against the tenant Id provided.",
    "description": "<p>This endpoint enables administrators to fetch all audit-log exports. So, that they can be viewed or verified.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "page",
          "type": "integer<int32>",
          "description": "<p>Page number, counted from 1.</p>",
          "format": "int32",
          "minimum": 1
        },
        {
          "kind": "required",
          "name": "pageSize",
          "type": "integer<int32>",
          "description": "<p>Page size, at least 1.</p>",
          "format": "int32",
          "minimum": 1
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>All audit-log export entries fetched.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "complexItems": [
              {
                "name": "object",
                "schema": [],
                "modelRef": "RestAPI/GeneralRestResponse/PaginatedResult.json",
                "customType": "PaginatedResult.json"
              },
              {
                "name": "object",
                "schema": []
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "vuBovd055Jq9waI5BRWuD",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/pim/batch/audit-log/export?page=integer%3Cint32%3E&pageSize=integer%3Cint32%3E' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "b6dyTV2Br_mSxYTFbZYg-",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/audit-log/export?page=integer<int32>&pageSize=integer<int32>\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "vz1RlTiVm9H7RvwJWL7Pm",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/audit-log/export?page=integer<int32>&pageSize=integer<int32>\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "-JEqyJIbta_rhPOVpnZ1U",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/batch/audit-log/export?page=integer<int32>&pageSize=integer<int32>\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "vuBovd055Jq9waI5BRWuD"
    },
    "results": {
      "languages": [
        {
          "id": "cnFh8VdQFMSm3uyqf6mB6",
          "language": "200",
          "code": "// All audit-log export entries fetched.\n{}"
        }
      ],
      "selectedLanguageId": "cnFh8VdQFMSm3uyqf6mB6"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}